Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

need older version of firefox to run on my macbook pro with iOS 10.11.6

  • 2 replies
  • 1 has this problem
  • 206 views
  • Last reply by James

more options

need older version of firefox to run on my macbook pro with iOS 10.11.6

need older version of firefox to run on my macbook pro with iOS 10.11.6

All Replies (2)

more options

Firefox 78.15.0 is the last version for your Mac OS X platform (update channel: mozilla-mac-eol-esr1) and you will no longer receive updates, so you are out of luck if you can't update your OS. Current releases require Mac OS X 10.12 or newer.

Firefox 78.15.0 on the Mozilla CDN server:

more options